diff -urN ol1/init.freescale.rc /media/usb0/init.freescale.rc
--- ol1/init.freescale.rc	2013-11-17 12:55:14.000000000 +0100
+++ /media/usb0/init.freescale.rc	2014-01-01 17:36:52.000000000 +0100
@@ -32,9 +31,10 @@
     oneshot
 
 on fs
+    mount ext4 /dev/block/mmcblk0p2 /mnt/data nosuid nodev nodelalloc
+    mount vfat /dev/block/mmcblk0p3 /mnt/sdcard
 # mount ext4 partitions
 #    mount ext4 /dev/block/mmcblk0p2 /system
 #    mount ext4 /dev/block/mmcblk0p2 /system ro remount
 #    mount ext4 /dev/block/mmcblk0p5 /data nosuid nodev nodelalloc
 #    mount ext4 /dev/block/mmcblk0p6 /cache nosuid nodev
-    mount ext4 /dev/block/mmcblk0p3 /mnt/data nosuid nodev nodelalloc
diff -urN ol1/init.rc /media/usb0/init.rc
--- ol1/init.rc	2013-11-23 11:12:20.000000000 +0100
+++ /media/usb0/init.rc	2014-01-04 16:23:35.000000000 +0100
@@ -207,7 +207,7 @@
 # basic network init
 ## Daniel 2012-0806
     ifup lo
-    hostname E606A2
+    hostname auraHD
     domainname Pageplace
 
 ## angela 20120206
@@ -572,13 +572,16 @@
 service hw_check /system/bin/bash /system/bin/hw_check.sh
     oneshot
 
+service no_blink /system/bin/bash /system/bin/no_blink.sh
+    oneshot
+
 ## Daniel 2012-0516
-service upgrade_check /system/bin/bash /system/bin/upgrade_check.sh
-   disabled
-   oneshot
+#service upgrade_check /system/bin/bash /system/bin/upgrade_check.sh
+#   disabled
+#   oneshot
 
-on property:sys.boot_completed=1
-    start upgrade_check
+#on property:sys.boot_completed=1
+#    start upgrade_check
 
-on property:sys.boot_completed=0
-    stop upgrade_check
+#on property:sys.boot_completed=0
+#    stop upgrade_check
Binary files ol1/sbin/init and /media/usb0/sbin/init differ
diff -urN ol1/system/bin/hw_check.sh /media/usb0/system/bin/hw_check.sh
--- ol1/system/bin/hw_check.sh	2008-08-01 14:00:00.000000000 +0200
+++ /media/usb0/system/bin/hw_check.sh	2014-01-01 11:53:36.000000000 +0100
@@ -11,6 +11,9 @@
 elif [ $PCB_NAME = "'E606A0'" ] ; then
 	setprop ro.sf.lcd_density 160
 	setprop ro.product.hardwareType E606A0
+elif [ $PCB_NAME = "'E606C0'" ] ; then
+	setprop ro.sf.lcd_density 265
+	setprop ro.product.hardwareType E606A0
 else
 	setprop ro.sf.lcd_density 205
 	setprop ro.product.hardwareType RDP
diff -urN ol1/system/bin/no_blink.sh /media/usb0/system/bin/no_blink.sh
--- ol1/system/bin/no_blink.sh	1970-01-01 01:00:00.000000000 +0100
+++ /media/usb0/system/bin/no_blink.sh	2013-12-31 12:16:44.000000000 +0100
@@ -0,0 +1,3 @@
+#!/system/bin/bash -x
+
+ioctl -d /dev/ntx_io 127 0
diff -urN ol1/system/bin/upgrade_check.sh /media/usb0/system/bin/upgrade_check.sh
--- ol1/system/bin/upgrade_check.sh	2008-08-01 14:00:00.000000000 +0200
+++ /media/usb0/system/bin/upgrade_check.sh	2013-12-28 21:47:42.000000000 +0100
@@ -46,20 +46,20 @@
 #		sync
 #		sync
 # xiaobo end of adb open
-elif [ -e /mnt/sdcard/extsd/recovery.img ] || [ -e /cache/upgrade/recovery.img ]; then
-		echo "---> Programming partition RECOVERY ----------------------------------"
-		busybox dd if=/mnt/sdcard/extsd/recovery.img of=/dev/block/mmcblk0p4 bs=8M
-		busybox dd if=/cache/upgrade/recovery.img of=/dev/block/mmcblk0p4 bs=8M
-		sync
-		sync
-		e2fsck -dy /dev/block/mmcblk0p4
-		sync
-		sync
-		mv /mnt/sdcard/extsd/recovery.img /mnt/sdcard/extsd/recovery.img_old
-		rm /cache/upgrade/recovery.img
-		sync
-		sync
-		am start -a android.intent.action.ACTION_REQUEST_SHUTDOWN
+#elif [ -e /mnt/sdcard/extsd/recovery.img ] || [ -e /cache/upgrade/recovery.img ]; then
+#		echo "---> Programming partition RECOVERY ----------------------------------"
+#		busybox dd if=/mnt/sdcard/extsd/recovery.img of=/dev/block/mmcblk0p4 bs=8M
+#		busybox dd if=/cache/upgrade/recovery.img of=/dev/block/mmcblk0p4 bs=8M
+#		sync
+#		sync
+#		e2fsck -dy /dev/block/mmcblk0p4
+#		sync
+#		sync
+#		mv /mnt/sdcard/extsd/recovery.img /mnt/sdcard/extsd/recovery.img_old
+#		rm /cache/upgrade/recovery.img
+#		sync
+#		sync
+#		am start -a android.intent.action.ACTION_REQUEST_SHUTDOWN
 else
 		if [ "$i" -le 5 ]; then
 			i=$((i + 1))
diff -urN ol1/system/build.prop /media/usb0/system/build.prop
--- ol1/system/build.prop	2013-11-20 20:08:20.000000000 +0100
+++ /media/usb0/system/build.prop	2013-12-28 21:53:51.000000000 +0100
@@ -20,8 +20,8 @@
 ro.product.cpu.abi=armeabi-v7a
 ro.product.cpu.abi2=armeabi
 ro.product.manufacturer=samsung
-ro.product.locale.language=pl
-ro.product.locale.region=PL
+ro.product.locale.language=en
+ro.product.locale.region=HU
 ro.wifi.channels=
 ro.board.platform=imx5x
 # ro.build.product is obsolete; use ro.product.device
@@ -34,7 +34,7 @@
 #
 # ADDITIONAL_BUILD_PROPERTIES
 #
-persist.sys.timezone=Europe/Brussels
+persist.sys.timezone=Europe/Budapest
 dalvik.vm.heapsize=92m
 dalvik.vm.heapstartsize=46m
 dalvik.vm.checkjni=false
diff -urN ol1/system/etc/vold.fstab /media/usb0/system/etc/vold.fstab
--- ol1/system/etc/vold.fstab	2008-08-01 14:00:00.000000000 +0200
+++ /media/usb0/system/etc/vold.fstab	2013-12-31 16:37:07.000000000 +0100
@@ -14,7 +14,7 @@
 
 ## Example of a standard sdcard mount for the emulator / Dream
 # Mounts the first usable partition of the specified device
-dev_mount sdcard /mnt/sdcard auto /devices/platform/mxsdhci.0/mmc_host/mmc0
+dev_mount sdcard /mnt/sdcard 3 /devices/platform/mxsdhci.0/mmc_host/mmc2
 dev_mount extsd /mnt/sdcard/extsd auto /devices/platform/mxsdhci.1/mmc_host/mmc1
 #dev_mount udisk /mnt/sdcard/udisk auto /devices/platform/fsl-ehci.1/usb
 
diff -urN ol1/system/etc/wifi/wpa_supplicant.conf /media/usb0/system/etc/wifi/wpa_supplicant.conf
--- ol1/system/etc/wifi/wpa_supplicant.conf	2008-08-01 14:00:00.000000000 +0200
+++ /media/usb0/system/etc/wifi/wpa_supplicant.conf	2013-12-30 00:42:39.000000000 +0100
@@ -143,7 +143,7 @@
 # Country code
 # The ISO/IEC alpha2 country code for the country in which this device is
 # currently operating.
-#country=US
+country=HU
 
 # Maximum lifetime for PMKSA in seconds; default 43200
 #dot11RSNAConfigPMKLifetime=43200
diff -urN ol1/system/usr/keylayout/mxckpd.kl /media/usb0/system/usr/keylayout/mxckpd.kl
--- ol1/system/usr/keylayout/mxckpd.kl	2008-08-01 14:00:00.000000000 +0200
+++ /media/usb0/system/usr/keylayout/mxckpd.kl	2013-12-30 20:50:07.000000000 +0100
@@ -1,9 +1 @@
-key 59    MENU              WAKE
-key 412   BACK              WAKE
-key 102   HOME              WAKE
-key 67    ENTER             WAKE
-key 25    DPAD_DOWN         WAKE
-key 24    DPAD_UP           WAKE
-key 10    DPAD_LEFT         WAKE
-key 11    DPAD_RIGHT        WAKE
-key 407   DPAD_CENTER       WAKE
+key 90   BACK              WAKE
